Videos 9 endpoints

POST /v2/videos/collections/{id}/items

This endpoint adds one or more videos to a collection by video IDs.

operationId: Videos_addToCollectionItems

Parameters

Name In Required Type Description
id path required string

The ID of the collection to which items should be added

Request Body

required

Array of video IDs to add to the collection

application/json
schema CollectionItemRequest
Property Type Required
items array required
id string required
added_time string optional
media_type string optional

Responses

204

Successfully added collection items

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

POST /v2/videos/collections/{id}/items
GET /v2/videos/licenses

This endpoint lists existing licenses.

operationId: Videos_listLicenses

Parameters

Name In Required Type Description
video_id query optional string

Show licenses for the specified video ID

license query optional string

Show videos that are available with the specified license, such as standard or enhanced; prepending a - sign excludes results from that license

page query optional integer

Page number

per_page query optional integer

Number of results per page

sort query optional string

Sort by oldest or newest videos first

username query optional string

Filter licenses by username of licensee

start_date query optional string

Show licenses created on or after the specified date

end_date query optional string

Show licenses created before the specified date

download_availability query optional string

Filter licenses by download availability

team_history query optional boolean

Set to true to see license history for all members of your team.

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/licenses
POST /v2/videos/licenses

This endpoint gets licenses for one or more videos. You must specify the video IDs in the body parameter and the size and subscription ID either in the query parameter or with each video ID in the body parameter. Values in the body parameter override values in the query parameters. The download links in the response are valid for 8 hours.

operationId: Videos_licenseVideos

Parameters

Name In Required Type Description
subscription_id query optional string

The subscription ID to use for licensing

size query optional string

The size of the video to license

search_id query optional string

The Search ID that led to this licensing event

Request Body

required

List of videos to request licenses for and information about each license transaction; these values override the defaults in the query parameters

application/json
schema LicenseVideoRequest
Property Type Required
videos array required
size string optional
price number optional
metadata object optional
video_id string required
search_id string optional
show_modal boolean optional
auth_cookie object optional
name string required
value string required
subscription_id string optional
editorial_acknowledgement boolean optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/videos/licenses
POST /v2/videos/licenses/{id}/downloads

This endpoint redownloads videos that you have already received a license for.

operationId: Videos_redownloadDownloads

Parameters

Name In Required Type Description
id path required string

The license ID of the item to (re)download. The download links in the response are valid for 8 hours.

Request Body

required

Information about the videos to redownload

application/json
schema RedownloadVideo
Property Type Required
size string optional
show_modal boolean optional
auth_cookie object optional
name string required
value string required
verification_code string optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/videos/licenses/{id}/downloads
GET /v2/videos/search

This endpoint searches for videos. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter. You can also filter search terms out in the query parameter by prefixing the term with NOT.

operationId: Videos_searchVideo

Parameters

Name In Required Type Description
added_date query optional string

Show videos added on the specified date

added_date_start query optional string

Show videos added on or after the specified date

added_date_end query optional string

Show videos added before the specified date

aspect_ratio query optional string

Show videos with the specified aspect ratio

category query optional string

Show videos with the specified Shutterstock-defined category; specify a category name or ID

contributor query optional array

Show videos with the specified artist names or IDs

contributor_country query optional array

Show videos from contributors in one or more specified countries

duration query optional integer

(Deprecated; use duration_from and duration_to instead) Show videos with the specified duration in seconds

duration_from query optional integer

Show videos with the specified duration or longer in seconds

duration_to query optional integer

Show videos with the specified duration or shorter in seconds

fps query optional number

(Deprecated; use fps_from and fps_to instead) Show videos with the specified frames per second

fps_from query optional number

Show videos with the specified frames per second or more

fps_to query optional number

Show videos with the specified frames per second or fewer

keyword_safe_search query optional boolean

Hide results with potentially unsafe keywords

language query optional

Set query and result language (uses Accept-Language header if not set)

license query optional array

Show only videos with the specified license or licenses

model query optional array

Show videos with each of the specified models

page query optional integer

Page number

per_page query optional integer

Number of results per page

people_age query optional string

Show videos that feature people of the specified age range

people_ethnicity query optional array

Show videos with people of the specified ethnicities

people_gender query optional string

Show videos with people with the specified gender

people_number query optional integer

Show videos with the specified number of people

people_model_released query optional boolean

Show only videos of people with a signed model release

query query optional string

One or more search terms separated by spaces; you can use NOT to filter out videos that match a term

resolution query optional string

Show videos with the specified resolution

safe query optional boolean

Enable or disable safe search

sort query optional string

Sort by one of these categories

view query optional string

Amount of detail to render in the response

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not found

GET /v2/videos/search
GET /v2/videos/search/suggestions

This endpoint provides autocomplete suggestions for partial search terms.

operationId: Videos_searchSuggestions

Parameters

Name In Required Type Description
query query required string

Search term for which you want keyword suggestions

limit query optional integer

Limit the number of the suggestions

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/search/suggestions
GET /v2/videos/updated

This endpoint lists videos that have been updated in the specified time period to update content management systems (CMS) or digital asset management (DAM) systems. In most cases, use the interval parameter to show videos that were updated recently, but you can also use the start_date and end_date parameters to specify a range of no more than three days. Do not use the interval parameter with either start_date or end_date.

operationId: Videos_listUpdatedVideos

Parameters

Name In Required Type Description
start_date query optional string

Show videos updated on or after the specified date

end_date query optional string

Show videos updated before the specified date

interval query optional string

Show videos updated in the specified time period, where the time period is an interval (like SQL INTERVAL) such as 1 DAY, 6 HOUR, or 30 MINUTE; the default is 1 HOUR, which shows videos that were updated in the hour preceding the request

page query optional integer

Page number

per_page query optional integer

Number of results per page

sort query optional string

Sort by oldest or newest videos first

Responses

200

OK

GET /v2/videos/updated
GET /v2/videos/{id}

This endpoint shows information about a video, including URLs to previews and the sizes that it is available in.

operationId: Videos_videoDetails

Parameters

Name In Required Type Description
id path required string

Video ID

language query optional

Language for the keywords and categories in the response

view query optional string

Amount of detail to render in the response

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not found

GET /v2/videos/{id}
GET /v2/videos/{id}/similar

This endpoint searches for videos that are similar to a video that you specify.

operationId: Videos_findSimilar

Parameters

Name In Required Type Description
id path required string

The ID of a video for which similar videos should be returned

language query optional

Language for the keywords and categories in the response

page query optional integer

Page number

per_page query optional integer

Number of results per page

view query optional string

Amount of detail to render in the response

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/{id}/similar